[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: can't ./configure kallery....


Benjamin Swatek a écrit:
I'd like to try out kallery, but I can't compile it,the ./configure
skript stops with the following error:

checking for libz... configure: error: not found. Check your

The headers file (zlib.h here) is simply missing.

I attach the config.log.
I tried apt-get install libz and zlib but don't find no package(libz doesn't exist

apt-cache search will give more results...;)

eric@popom:~$ apt-cache search zlib | grep dev
libmng-dev - M-N-G library (Development headers)
zlib1g-dev - compression library - development
eric@popom:~$ apt-cache show zlib1g-dev
Package: zlib1g-dev
Priority: optional
Section: libdevel
Installed-Size: 348
Maintainer: Mark Brown <broonie@debian.org>
Architecture: powerpc
Source: zlib
Version: 1:1.1.4-11
Provides: libz-dev
Depends: zlib1g (= 1:1.1.4-11), libc6-dev | libc-dev
Conflicts: zlib1-dev
Filename: pool/main/z/zlib/zlib1g-dev_1.1.4-11_powerpc.deb
Size: 250960
MD5sum: a240c7bd4aeac4a89a5107c370fc4e79
Description: compression library - development
 zlib is a library implementing the deflate compression method found
 in gzip and PKZIP.  This package includes the development support


Be carefull : I'm using sid, so the version of the libz-dev can be *really* different...

and zlib has no installation candidate),
so what's missing on my system?

The correct name are zlib1g-bin (binaries) , zlib1g (library) and zli1g-dev (headers files)

I run testing/unstable on an Apple Power Book G4 kernel 2.4.20-ben10.

[ ... ]

configure:4448: checking for extra libs
configure:4482: checking for libz
configure:4508: gcc -o conftest -O2       conftest.c   -lz  -lresolv 1>&5

Here is the problem :

configure:4501:17: zlib.h: No such file or directory

configure: In function `main':
configure:4504: `ZLIB_VERSION' undeclared (first use in this function)
configure:4504: (Each undeclared identifier is reported only once
configure:4504: for each function it appears in.)
configure: failed program was:

You have to install zlib1g-dev...

#line 4499 "configure"
#include "confdefs.h"


int main() {
return (zlibVersion() == ZLIB_VERSION); ; return 0; }

And the last, but not the least :

./configure --help can really help you

Best regards

eric b

Reply to: